REM - This program is copyrighted. I retain all rights to the program.
REM - You may freely copy, modify and distribute it so long as this
REM - notice remains attached to the program. You may not charge for
REM - the program or any program derived from it. This does not
REM - prevent you from charging for your time installing the program
REM - or remote system for clients. This program is offered "AS IS".
REM - You are solely responsible for determining its suitability for
REM - your application. This is at least one bug in this program. I'll
REM - upload the tested version to BPFORUM after I fix it.
REM -  Please let me know if you find any others.
REM -     Copyright (c) 1992,1993,1994 by H. Douglas Lung
REM -     Support via CompuServe, ID # 70255,460
REM -     or via the Internet to dlungA@gate.net

REM - The first line of the program jumps past subroutines to the
REM - initialization routines. Since the Blue Earth Basic searches for
REM - subroutines from the start of the program, it makes sense to
REM - put the most used subroutines first.
1 GOTO 200 : REM Doug Lung's Cheap Remote Version 93.12.27A

REM - This is the most critical subroutine - It looks for incoming
REM - data. Line 3 keeps it from hogging the program if you don't type
REM - anything for a while or get disconnected.
2 A=GET: Y=Y+1 : IF Y>100 THEN 5
3 IF A=0.AND.TIME>15 THEN A=128 : GOTO 6
4 IF A=0 THEN 2 ELSE 6
5 GOSUB 30 : Y=1 : GOTO 2
6 CLOCK1 : RETURN

REM - This is a short subroutine used to convert two individual time
REM - digit variables (10's and 1's) into a single two digital number.
9 POP D,DT : D=DT*10+D : RETURN

REM - This routine reads the real time clock. It stores the date with
REM - variables MO (month) DY (day) and YR (year) and time with
REM - variables H (hours - 24 hr time) M (minutes) and S (seconds).
REM - Variable WK is the weekday with 0 = Sunday and 1 = Monday, etc.
10 AD=65232
14 BY=XBY(AD) : BY=(BY.AND.14)+1 : XBY(AD)=BY : BY=XBY(AD)
16 IF (BY.AND.2)=0 THEN 20
18 XBY(AD)=(BY.AND.14) : GOTO 14
20 AD=65200
22 DO : D=XBY(AD).AND.15 : AD=AD-16 : PUSH D : UNTIL AD=65008
24 WK=XBY(65216).AND.15 : AD=65232 : BY=XBY(AD).AND.14 : XBY(AD)=BY
26 GOSUB 9 : S=D :  GOSUB 9 : M=D : GOSUB 9 : H=D
28 GOSUB 9 : DY=D :  GOSUB 9 : MO=D : GOSUB 9 : YR=D
29 RETURN

REM - Subroutine 30 is called every second or so when off-line to
REM - direct the program to subroutines for time functions, to look
REM - for faults, to log faults and to log data. It is bypassed in
REM - line 30 if the character counter X is greater than one. X is set
REM - to 2 or higher whenever the system is online to the remote
REM - terminal. If nothing has happened online after 30 seconds, it
REM - ignores the online status, drops to line 31, and hangs up the
REM - line. Every hour it logs data and resets the modem (just in
REM - case...). As written, it won't send a page when a fault occurs,
REM - but will page if the fault still exists when the log is written
REM - at the top of the hour. To have it page instantly when there is
REM - a fault and when it is fixed, insert a "GOSUB 90" in line 86.
REM - You can delete line 38 to stop the top of the hour fault page.
30 IF X>1.AND.TIME<30 THEN RETURN
31 IF TIME>29 THEN GOSUB 70
32 GOSUB 10 : LZ=(H*100)+M : GOSUB 60
34 GOSUB 50 : GOSUB 40 : IF FA<>FL GOSUB 80
36 IF LH<>H THEN 39
37 GOSUB 100 : GOSUB 70
38 IF FA=1 THEN GOSUB 90
39 X=1 : CLOCK0 : TIME=0 : RETI

REM - This is the fault finding subroutine. The second line inhibits
REM - reporting of faults found outside the times stored in line 600.
REM - If you want to monitor for burglars and such all the time,  put
REM - those tests before line 42.
40 FA=0
REM - Put anytime fault tests here.
42 IF (LZ>=AF(WK).AND.LZ<AN(WK)).OR.(OF=1) THEN RETURN
43 IF PV<80 THEN FA=1 : REM - Fault if visual power under 80
44 IF TR>108 THEN FA=1 : REM - Fault if temperature over 108
47 REM IF (PORT1.OR.247)=255 THEN FA=1 : REM - example of a port test
48 REM IF (PORT1.OR.239)=255 THEN FA=1 : REM - example of a port test
49 RETURN

REM - Subroutine 50 retrieves the data from the A/D converter. It reads
REM - the A/D converters, converts readings to volts and pushes them on
REM - the stack. Line 54 pop's the readings off the stack and stores
REM - them as variables, which the followings lines modify by squaring
REM - them for power and multiplying them to provide the proper scale.
REM - Here, PV = % Visual Power, PA = % Aural Power, PR = % reflected
REM - power, E1 = Power Supply 1 voltage, E2 = Power Supply 2 voltage,
REM - SR = Satellite AGC voltage and TR = Room Temperature (F).
50 C=15 : AD=65280 : CLOCK0
52 DO : XBY(AD)=C : D=XBY(AD)/51.2 : C=C-1 : PUSH D : UNTIL C=7
54 POP VS,PV,PA,PR,E1,E2,SR,TR
56 VS=VS*6 : PV=(PV*PV)*5 : PR=(PR*PR)*.5 : PA=(PA*PA)*5
58 TR=TR*29 : SR=SR*22 : E1=E1*15 : E2=E2*15
59 RETURN

REM - This is the timer subroutine. It keeps the transmitter off if it
REM - was remotely turned off, ignoring the time and day of week, or,
REM - if it has not been forced off, turns it off if the time falls
REM - between those stored for that day of the week in Subroutine 600.
REM - Subroutine 180 turns the unit off, Subroutine 190 turns it on.
60 IF OF=1 THEN GOSUB 180 : GOTO 62
61 IF LZ>=TF(WK).AND.LZ<TN(WK) THEN GOSUB 180 ELSE GOSUB 190
62 RETURN

REM - The hangup and modem reset subroutine is called every hour to
REM - make sure the modem or phone line isn't stuck. It also is called
REM - when time outs are exceeded. I use the TX line of the second
REM - RS-232 port to control the modem's DTR line, which the modem uses
REM - to reset and hangup. Make sure this feature is enabled on the
REM - modem you use. Just to make sure, the routine also sends a "+++"
REM - to force the modem into the command state, then sends an "ATH"
REM - to hang up the line and an "ATZ" to reset the modem. You can
REM - modify these strings to configure the modem if it does not have
REM - non-volatile configuration RAM.
70 PORT1=PORT1.OR.152 : CLOCK0 : TIME=0
71 CLOCK1 : DO : UNTIL TIME>1 : PORT1=PORT1.AND.127 : CLOCK0
72 TIME=0 : CLOCK1 : DO : UNTIL TIME>5 : CLOCK0 : P. "+++",
73 TIME=0 : CLOCK1 : DO : UNTIL TIME>3 : CLOCK0 : P. "ATH"
74 TIME=0 : CLOCK1 : DO : UNTIL TIME>4
REM - Line 76 sets the two characters needed to jump online after
REM - the modem answers - in this case "!!". They are used in line 212.
76 TIME=0 : $(1)="!!" : P. "ATZ" : X=1
79 RETURN

REM - Subroutine 80 is used for storing faults. Just in case the first
REM - fault detected was a glitch, it checks again and compares the
REM - result with the fault status from the last time it was run. You
REM - could add a time delay here to remove nuisance trips. If the last
REM - test returns a different status (FL) than the last time the
REM - subroutine was run, either a new fault has occured or an old
REM - has fault cleared. If this is the case, it stores the current
REM - readings in an array and sets the stored fault status to the
REM - current fault status. Once the array fills, it starts over
REM - writing the oldest faults.
80 GOSUB 50 : GOSUB 40 : IF FL=FA THEN 89
REM - Line 81 resets the status ports high so they accurately reflect
REM - the status from the opto-isolators.
81 PORT1=PORT1.OR.24
82 FI=FI+1 : FD(FI)=DY+(H/100)+(M/10000) : FV(FI)=PV
83 FS(FI)=PA : FR(FI)=PR : FE(FI)=E1 : F2(FI)=E2 : FT(FI)=TR : FX(FI)=SR
REM - The last part of line 84 sets the number of lines in the fault
REM - array. If you increase this number, be sure to change array size
REM - in line 202.
84 FP(FI)=VS : FO(FI)=PORT1 : F3(FI)=PORT3 : IF FI>29 THEN FI=0
86 FL=FA
89 RETURN

REM - Subroutine 90 is the paging routine. This one is set up to work
REM - with SkyPager and not only identifies the channel (01 in this
REM - example) but also reports the room temperature, visual power and
REM - satellite AGC readings! The "PRINT USING(###)" statement removes
REM - the decimal readings.  You'll have to play with it to get the
REM - pauses right. I set one comma = 3 seconds to make this one work.
REM - Note - the numbers aren't real! I didn't want my program calling
REM - some poor soul in the middle of the night!
90 PORT1=PORT1.OR.152 : CLOCK0 : TIME=0 : CLOCK1 : X=2
91 DO : UNTIL TIME>1 : PORT1=PORT1.AND.127 : PORT1=PORT1.OR.24 : CLOCK0
93 TIME=0 : CLOCK1 : DO : UNTIL TIME>5 : CLOCK0 : TIME=0
95 PRINT USING(###), : P. "ATDT18005557243,,,,1234567#,;"
96 CLOCK1 : DO : UNTIL TIME>25 : CLOCK0 : TIME=0
REM - Line 97 inserts the data in the dialing string to the modem
97 P. "ATDT001",TR,PV,SR,",#,#,;"
98 CLOCK1 : DO : UNTIL TIME>30 : CLOCK0 : TIME=0
99 P. "ATZ" : CLOCK1 : DO : UNTIL TIME>2 : CLOCK0 : GOSUB 150 : RETI

REM - Subroutine 100 is the logging routine. It is called every hour
REM - and stores all the readings in an array indexed by the hour. Note
REM - that the program will also generate a log reading when it is
REM - reset or restarts after a power failure (use a UPS!). New
REM - readings over-write old readings. The number of log entries is
REM - set by line 104. If you change it, be sure to change the log
REM - array dimensions in line 201.
100 LH=H+1 : LD(LH)=DY+(H/100)+(M/10000) : LV(LH)=PV
102 LA(LH)=PA : LR(LH)=PR : LE(LH)=E1 : L2(LH)=E2 : LT(LH)=TR : LX(LH)=SR
104 LS(LH)=VS : LO(LH)=PORT1 : L3(LH)=PORT3 : IF LH>23 THEN LH=0
105 RETURN

REM - This complicated looking routine puts the date, time and
REM - analog data together for real time readings on line.
REM - Lines 110-122 convert numeric date and time data into a string.
110 $(1)="00/00/00 @ 00:00:00"
112 D=INT(MO/10) : ASC($(1),1)=48+D : ASC($(1),2)=48+MO-10*D
114 D=INT(DY/10) : ASC($(1),4)=48+D : ASC($(1),5)=48+DY-10*D
116 D=INT(YR/10) : ASC($(1),7)=48+D : ASC($(1),8)=48+YR-10*D
118 D=INT(H/10) : ASC($(1),12)=48+D : ASC($(1),13)=48+H-10*D
120 D=INT(M/10) : ASC($(1),15)=48+D : ASC($(1),16)=48+M-10*D
122 D=INT(S/10) : ASC($(1),18)=48+D : ASC($(1),19)=48+S-10*D

REM - Lines 124-136 print the readings, one per line, as well as
REM - significant port status events (lines 134-138).
124 P. : P. "K01AA Transmitter Readings - " : P. $(1)
125 PRINT USING(###.#) : P. "    Visual Power:",TAB(23),PV,"  %"
126 P. "     Aural Power: ",TAB(23),PA,"  %"
127 P. " Reflected Power:",TAB(23),PR,"  %"
128 P. "  Power Supply 1:",TAB(23),E1,"  Volts"
129 P. "  Power Supply 2:",TAB(23),E2,"  Volts"
130 P. "Room Temperature:",TAB(23),TR,"  deg. F"
131 P. "     Sat. RX AGC:",TAB(23),SR,"  units"
132 P. "  Supply Voltage:",TAB(23),VS,"  V."
133 P. "I/ O Port Status:", : PH0. TAB(23),PORT1,PORT3
134 IF (PORT1.OR.247)=255 THEN P. "*** EXCITER OFF  ***"
135 IF (PORT1.OR.247)=247 THEN P. "                Transmitter ON"
136 IF (PORT1.OR.239)=255 THEN P. "*** VIDEO NOT PRESENT ***"
137 IF (PORT1.OR.239)=239 THEN P. "                 Video PRESENT"
138 IF (PORT1.OR.249)=253 THEN P. "               Video ALTERNATE" ELSE P.
139 RETURN

REM - Routine for "printing" the transmitter log to the modem. It
REM - prints 24 hours of data, starting at midnight.  Lines for times
REM - later than the the last reading will hold yesterday's data.
140 P. : P. "K01AA Transmitter Log  -  Any Town, USA"
141 P. "Date.Time   Vis    Aur    Refl  PS 1   PS 2   Room  Sat Rx.  Pwr. ",
142 P. "Port" : X=1 : DO : PRINT USING(##.####), LD(X),
144 PRINT USING(###.#),TAB(10),LV(X),TAB(16),LA(X),TAB(22),LR(X), TAB(28),
145 P. LE(X),TAB(34),L2(X),TAB(40),LT(X),TAB(46),LX(X),TAB(52),
146 P. LS(X),TAB(58), : PH0. LO(X),L3(X)
148 X=X+1 : UNTIL X=25
149 RETURN

REM - Line 150 is a place holder for a second pager routine - use
REM - subroutine 90 as an example if you need to page two numbers.
150 RETI :

REM - The routine for sending fault log data is similar to that for the
REM - log data.  Only the array has changed.  Note that all readings are
REM - stored when the fault occurs and again when a fault is corrected.
160 P. : P. "Fault Log For K01AA - Any Town, USA"
161 P. "Date.Time   Vis    Aur    Refl  PS 1   PS 2   Room  Sat Rx.  Pwr. ",
162 P. "Port 1" : X=1 : DO : PRINT USING(##.####), FD(X),
164 PRINT USING(###.#),TAB(10),FV(X),TAB(16),FS(X),TAB(22),FR(X),TAB(28),
165 P. FE(X),TAB(34),F2(X),TAB(40),FT(X),TAB(46),FX(X),TAB(52),
166 P. FP(X),TAB(58), : PH0. FO(X),F3(X)
168 X=X+1 : UNTIL X=31
169 RETURN

REM - This routine clears the fault array by setting all values to 0.  It
REM - is called when the program starts and can be called online by sending
REM - a CONTROL-Y.
170 X=1
171 DO : FD(X)=0 : FV(X)=0 : FS(X)=0 : FR(X)=0 : FE(X)=0 : F2(X)=0
172 FT(X)=0 : FP(X)=0 : FO(X)=0 : F3(X)=0 : FX(X)=0 : X=X+1 : UNTIL X=31
173 FI=0
174 RETURN

REM - This routine turns off the transmitter. I use it to drive two
REM - relays to interrupt the video line.
180 PORT1=PORT1.AND.249 : RETURN : REM Turn off TX

REM - This is a little more complicated than the "off" command. It
REM - permits energizing one of two relays to select one of two
REM - video sources. Let me know if you have trouble figuring it out.
REM - Line 190 keeps the program from turning the transmitter on if
REM - it is supposed to be off (OF is set to 1).
REM - WARNING!!! THERE MAY BE A BUG IN THIS ROUTINE. I've think I've found
REM - fix but I haven't had time to modify this program to test it.
REM - The bug causes the video to cycle between input 1 and 2 AFTER
REM - you log off. If you don't see it, never mind...
190 IF OF=1 THEN 194
REM - Line 191 makes ports 1.1 and 1.2 high, turning off both relays.
REM - Normally, PORT1=PORT1.OR.6 would work fine, but I added 24 to
REM - to the number to prevent latching status lines  1.3 and 1.4 low.
191 IF (VI=1) THEN PORT1=PORT1.OR.30 : GOTO 194
192 IF (VI=2) THEN PORT1=PORT1.AND.249 : PORT1=PORT1.OR.28 : GOTO 194
194 RETURN

REM ---- Program startup -----
REM - Here's where the program starts.  Strings MUST be allocated
REM - first! Failure to do so will cause extreme grief when debugging
REM - your program! The startup routine allocates strings, goes to
REM - subroutine 10 to get the time to initalize the log times, resets
REM - faults and transmitter "off"  commands and clears the micro's I/O
REM - port.  Line 204 disables the CTRL-C basic break command.  I
REM - suggest putting REM in front of it during debugging.  Line 205
REM - calls routines to fill the time array and clear the fault array.
200 STRING 100,20 : DIM LX(24),FX(30)
201 DIM LD(24),LV(24),LA(24),LR(24),LE(24),L2(24),LT(24),LS(24),LO(24),L3(24)
202 DIM FD(30),FV(30),FS(30),FR(30),FE(30),F2(30),FT(30),FP(30),FO(30),F3(30)
203 GOSUB 10 : LH=H : FI=0 : FL=0 : OF=0 : FA=0 : VI=0 : PORT1=127
204 REM DBY(38)=DBY(38).OR.1
205 GOSUB 600 : GOSUB 170

REM - Line 206 hangs up the modem and marks the start of the main program
REM - loop.  Any normal exit from the online state will return here.
206 GOSUB 70

REM - This part of the program continuously monitors the serial port for
REM - data and compares it with the string set in the modem reset
REM - routine in line 76. Line 211 clears any entries after 15 seconds
REM - and permits the program to hang up if it doesn't receive a valid
REM - string within 30 seconds.  There may be better ways to do this.
208 CLOCK0 : TIME=0 : A=0 : X=1
210 GOSUB 2
211 IF A=128 THEN 208
212 IF A=ASC($(1),X) THEN 214 ELSE X=1 : GOTO 210
214 X=X+1 :  IF X<>3 THEN 210

REM - After receiving the initial string, we pause for a second or
REM - two, then request the password.
REM - Rather than be obvious, the program types ?? and looks for the
REM - string defined in line 222.
216 TIME=0 : DO : UNTIL TIME>1
220 X=2 : A=0 : P. "??" : TIME=0
222 $(1)="PASSWRD"
224 GOSUB 2
225 IF A=128 THEN 980
226 IF A=ASC($(1),X-1) THEN 228 : ELSE X=2 : GOTO 224
REM - The "9" in the X<>9 part of the following line must be changed if
REM - the length of the password is changed.  The number should be
REM - equal to the length of the password plus two.
228 X=X+1 : IF X<>9 THEN 224

REM - If all the checks are successful, then start the online part of
REM - the program.  Line 233 sets the time out before calling
REM - Subroutine 980 to hang-up.
230 P. "Logged On"
231 TIME=0
232 CLOCK1 : A=0 : X=2 : GOSUB 2
233 IF A=128.AND.TIME>30 THEN 980
234 IF A=128 THEN 232

REM - All routines go back to line 231 after finishing their function
REM - except for the program exit request in line 236.
235 IF A=7 GOSUB 140 : GOTO 231 : REM - If CTRL-G, print the log
236 IF A=26 THEN 300 : REM - If CTRL-Z, go to 300 to leave the program.
REM - Line 237 looks for a CTRL-Y. If it sees it, it prints the fault
REM - log then clears it.
237 IF A=25 THEN GOSUB 160 : GOSUB 170 : GOTO 231
REM - Line 238 calls subroutine 208 to hang-up if it sees a CTRL-X.
238 IF A=24 THEN P. "Logged Out" : GOSUB 70 : GOTO 208
239 IF A=6 THEN GOSUB 160 : GOTO 231 : REM - If CTRL-F print fault log.
REM - Line 240 looks for a CTRL-O, which starts the "command" routine.
REM - If it doesn't see it, it jumps to line 259.
240 IF A<>15 THEN 259
241 X=2 : P. "**" : REM - Notify the user the CTRL-O was received
REM - Look for the command...
242 GOSUB 2

REM - This part of the program controls the transmitter.  Note that the
REM - program does recognize the case of the letters.  In this example,
REM - UPPER CASE letters are recognized.  You can mix upper and lower
REM - case letters, using the suitable decimal ASCII code, to provide
REM - an extra level of security. Note that after each command is
REM - executed, it jumps to 260 to display the readings. If a
REM - command isn't recognized, it either gets bumped back up to 232 or
REM - falls through to 259, both of which look for a CTRL-M (RETURN)
REM - before displaying the reading.
243 IF A=128.AND.TIME>30 THEN 980 : REM - time out routine
244 IF A=128 THEN A=0 : GOTO 242
REM - If line 245 sees an "N", call 190 to turn on the transmitter.
245 IF A=78 THEN OF=0 : GOSUB 190 : P. "ON " : GOTO 260
REM - If a "2" is received instead, line 246 sets video source 2 and
REM - jumps to 190 to turn the transmitter on. If a "1" is received,
REM - line 247 sets video source 1 and jumps to 190.
246 IF A=50 THEN VI=2 : GOSUB 190 : GOTO 260
247 IF A=49 THEN VI=1 : GOSUB 190 : GOTO 260
REM - Line 248 through 250 look for the letters "F", "F" and "!". If
REM - they are received in that sequence, line 252 calls 180 to shut
REM - off the transmitter, set the "OF" variable to keep it off, and
REM - print "OFF" so the operator knows the command was received.
248 IF A<>70 THEN 232
249 GOSUB 2 : IF A<>70 THEN 232
250 GOSUB 2 : IF A<>33 THEN 232
252 GOSUB 180 : OF=1 : P. "OFF" : GOTO 260

REM - Last line in the character analysis.  Normally a carriage return
REM - will print the current readings.  If the character wasn't
REM - recognized above, and isn't a carriage return (CTRL-M), it will
REM - be ignored.
259 IF A<>13 THEN 232

REM - Get the time (10), get the readings (50), print them (110) and
REM - start over again (231)
260 GOSUB 10 : GOSUB 50 : GOSUB 110 : GOTO 231

REM - Lines 300 through 308 offer a way to get out of the program with the
REM - CTRL-C break disabled in line 204.  Line 300 contains the password.
REM - I suggest changing it, possibly mixing cases to make it more difficult
REM - to break.  Only 15 seconds are allowed to enter the password.
300 TIME=0 : P. ".." : $(1)="AAAAAAA" : X=2
302 IF A=13 THEN 260
303 GOSUB 2
304 IF A=128 THEN 980
305 IF A=ASC($(1),X-1) THEN 306 : ELSE X=2 : GOTO 302
REM - As before, the 9 in the X<>9 part of the IF statement below is the
REM - length of the password plus 2.  If you change the length of the
REM - password, change this part of line 306 as well.
306 X=X+1 :  IF X<>9 THEN 302
308 CLOCK0 :  GOTO 990 : REM - Line 990 exits the program

REM - The "600" Subroutine sets the times used when the transmitter is
REM - to be turned on (TN), turned off (TF) and when the alarm
REM - functions are to be turned on (AN) and turned off (AF).  The
REM - array index represents the day of the week. 0=Sunday, 1=Monday,
REM - 2=Tuesday, 3=Wednesday, 4=Thursday, 5=Friday, 6=Saturday.  In
REM - this example, the transmitter is turned on at 07:58 on weekends,
REM - turned off at 03:02 on weekend nights (early SUNDAY morning and
REM - early MONDAY morning) and the alarm delay permits a five minute
REM - turn on warm up and a half hour prior to sign off shutdown, in
REM - case the late night movie ends early. You could also set up an
REM - additional array for switching video. Be sure to dimension any
REM - new arrays in the initialization part of the program (200-205).
600 TN(0)=758 : TF(1)=302 : AN(0)=805 : AF(1)=225
601 TN(1)=658 : TF(2)=232 : AN(1)=705 : AF(2)=200
602 TN(2)=658 : TF(3)=232 : AN(2)=705 : AF(3)=200
603 TN(3)=658 : TF(4)=232 : AN(3)=705 : AF(4)=200
604 TN(4)=658 : TF(5)=232 : AN(4)=705 : AF(5)=200
605 TN(5)=658 : TF(6)=232 : AN(5)=705 : AF(6)=200
606 TN(6)=758 : TF(0)=302 : AN(6)=805 : AF(0)=225
607 RETURN

REM - Line 980 is called by the time out routines. It notifies the
REM - operator and then jumps back to the start of the program to
REM - hang up the phone.
980 P. : P. "Time out" : GOTO 206

REM - The only way to exit the program, short of a hardware reboot,
REM - if CTRL-C is disabled in line 204.  This restores the CTRL-C
REM - action, then ends the program. If the "auto-start" options is
REM - set on the Blue Earth Micro and CONTROL-C is disabled,  it will
REM - be VERY difficult to get out of the program if you don't have a
REM - routine to do it.
990 DBY(38)=DBY(38).AND.0FEH
991 REM - Copyright (c) 1992,1993 by H. Douglas Lung
992 REM - Support via CompuServe, ID # 70255,460 or
993 REM - Internet to dlung@gate.net
993 END

